<script type="text/javascript">	
$(document).ready(function() {	
	$("#tabs").tabs({selected:0});	
	$("#form").load('spv/pengel_kas/form.php');
	
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#t_tgl_awal").val(data.tanggal);
				$("#t_tgl_akhir").val(data.tanggal);
				$("#p_tglawal").val(data.tanggal);
				$("#p_tglakhir").val(data.tanggal);
			}
		});
	}
		
	$("#cari_tgl").click(function(){
		var tgl_awal = $("#t_tgl_awal").val();
		var tgl_akhir = $("#t_tgl_akhir").val();
		
		$("#tampil_data").show();
		$("#tampil_data").load('modul/pengel_kas/tampil_data.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir);
	});
	
	$("#cetak_jkk").click(function(){
		var tgl_awal  = $("#t_tgl_awal").val();
		var tgl_akhir = $("#t_tgl_akhir").val();
		
		window.location.href='modul/laporan/jurnal_kk.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir;
	});
		
	$("#tutup_kk").click(function(){
		document.location='?module=home';
	});
	
	$("#cari_tglpost").click(function(){
		var tgl_awal  = $("#p_tglawal").val();
		var tgl_akhir = $("#p_tglakhir").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_awal").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Variabel tanggal belum lengkap');
			$("#t_tgl_akhir").focus();
			return false;
		}
		$("#tampil_data_bt_post").show();
		$("#tampil_data_bt_post").load('spv/pengel_kas/tampil_data_bt_post.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir);
	});
	
	$('#cari_btaw').click(function(){
		$('#form_cari_kode').dialog('open');
		var tgl_awal  = $("#p_tglawal").val();
		var tgl_akhir = $("#p_tglakhir").val();
		
		$.ajax({
			type	: "POST",
			url		: "spv/pengel_kas/tampil_data_bt_aw.php",
			data	: "tgl_awal="+tgl_awal+
            		"&tgl_akhir="+tgl_akhir,
			success	: function(data){				
				$("#info_kode").html(data);
			}
		});
	});
	
	$('#cari_btak').click(function(){
		$('#form_cari_kode').dialog('open');
		var tgl_awal  = $("#p_tglawal").val();
		var tgl_akhir = $("#p_tglakhir").val();
		
		$.ajax({
			type	: "POST",
			url		: "spv/pengel_kas/tampil_data_bt_ak.php",
			data	: "tgl_awal="+tgl_awal+
            		"&tgl_akhir="+tgl_akhir,
			success	: function(data){				
				$("#info_kode").html(data);
			}
		});
	});
	
	$("#batal_post").click(function(){		
		var kodeaw	= $("#p_kodeaw").val();
		var kodeak	= $("#p_kodeak").val();
				
		if(kodeaw.length == 0){
			alert("Maaf, Nomor Bukti awal masih kosong, klik icon di samping Nomor Bukti awal untuk mencari.");
		   	return (false);
        }		
		if(kodeak.length == 0){
        	alert("Maaf, Nomor Bukti akhir masih kosong, klik icon di samping Nomor Bukti akhir untuk mencari.");
		  	return (false);
        }
			
		var tgl_awal  = $("#p_tglawal").val();
		var tgl_akhir = $("#p_tglakhir").val();
		$.ajax({
			type	: "POST",
			url		: "spv/pengel_kas/batal_post.php",
			data	: "kodeaw="+kodeaw+
				"&kodeak="+kodeak,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info").html(data);
				$("#p_kodeaw").val('');
				$("#p_kodeak").val('');
				$("#tampil_data_bt_post").show();
				$("#tampil_data_bt_post").load('spv/pengel_kas/tampil_data_bt_post.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir);
			}
		});		
	});
	
	$("#tutup_btpost").click(function(){		
		document.location='?module=home';
	});
});
</script>

<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php
echo "<div id='tabs'>";
	echo "<ul>
			<li><a href='#form'>POSTING PENGELUARAN KAS</a></li>
			<li><a href='#data'>DAFTAR PENGELUARAN KAS</a></li>
			<li><a href='#form_batal'>BATAL POSTING</a></li>
		</ul>";
	  
	echo "<div id='form'></div>";
	
	echo "<div id='data'>
			<div id='pencarian'>
				<table width='100%'>
				<tr>
					<td>Pengeluaran tanggal : <input type='date' id='t_tgl_awal' size='10'> sampai dengan <input type='date' name='t_tgl_akhir' id='t_tgl_akhir' size='10'></td>
					<td>
						<button id='cari_tgl'>Cari</button>
						<button id='cetak_jkk'>Cetak</button>
						<button id='tutup_kk'>Tutup</button>
					</td>
				</tr>
				</table>
			</div>
			
			<div id='tampil_data' align='center'></div>
		</div>";
	
	echo "<div id='form_batal'>
		<table width='100%'>	
			<tr>
            	<td>Transaksi tanggal : <input type='date' id='p_tglawal'> sampai dengan <input type='date' id='p_tglakhir'></td>
				<td>
					<button id='cari_tglpost'>Cari</button>						
					<button id='tutup_btpost'>Tutup</button>						
				</td>	
				<td>Kode BKK : <input type='text' id='p_kodeaw' size='13' class='input_header' readonly />
					<img src='images/view.png' width='18' height='18' title='Cari Nomor BKM' id='cari_btaw'>
					sampai dengan <input type='text' id='p_kodeak' size='13' class='input_header' readonly />
					<img src='images/view.png' width='18' height='18' title='Cari Nomor BKM' id='cari_btak'>
				</td>
				<td>
					<button id='batal_post'>Batal Posting</button>
				</td>
			</tr>
		</table>
		
		<div id='tampil_data_bt_post'></div>
	</div>";
		
	echo "<div id='info' align='center'></div>";

echo "</div>";
?>
